
Installer - Bug #29660

file and docker do not support https with pulpcore

04/29/2020 06:42 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Foreman modules   

Target version: 2.1.0   

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman_proxy_content/pull/260,

https://github.com/theforeman/puppet-for

eman_proxy_content/pull/262

  

Description

When installing a fresh 3.15, file and docker content are not served over https://

Apache is only configured to do so via http

Related issues:

Related to Installer - Bug #28711: /pulp/content  is not being served over ht... Closed

Associated revisions

Revision 8b0e5694 - 06/01/2020 06:49 PM - Ewoud Kohl van Wijngaarden

Fixes #29660 - Serve Pulpcore ISO via HTTPS

132d38fe89b614d191aeef58f30c794ec0366f88 added code to serve /pulp/iso

over HTTP but this also needs to be served over HTTPS.

History

#1 - 06/01/2020 06:49 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #28711: /pulp/content  is not being served over http with pulp3 added

#2 - 06/01/2020 06:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/260 added

#3 - 06/03/2020 02:45 PM - The Foreman Bot

- Fixed in Releases 2.2.0 added

#4 - 06/03/2020 03:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman_proxy_content|8b0e56943d7eacbc575253c18cd190119c485b1b.

#5 - 06/05/2020 02:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/262 added

#6 - 06/09/2020 12:30 PM - Tomer Brisker

- Target version changed from 2.0.1 to 2.1.0

- Fixed in Releases 2.0.1 added
https://projects.theforeman.org/projects/puppet-foreman/repository/puppet-foreman_proxy_content/revisions/8b0e56943d7eacbc575253c18cd190119c485b1b


#7 - 07/01/2020 12:26 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/puppet-foreman_proxy_content/pull/262,

https://github.com/theforeman/puppet-foreman_proxy_content/pull/260)

- Fixed in Releases 2.1.0 added

- Fixed in Releases deleted (2.0.1, 2.2.0)

#8 - 07/01/2020 12:36 PM - Tomer Brisker

- Pull request https://github.com/theforeman/puppet-foreman_proxy_content/pull/260,

https://github.com/theforeman/puppet-foreman_proxy_content/pull/262 added
